import { css } from 'styled-components';
var btnReset = css(["&:not(:disabled){cursor:pointer;}"]);

var btn = function btn(_ref) {
  var theme = _ref.theme;
  return css(["display:inline-block;font-family:", ";font-weight:", ";color:", ";text-align:center;vertical-align:middle;user-select:none;background-color:transparent;border:", " solid transparent;", ";", ";&:hover{color:", ";text-decoration:none;}&:focus,&.focus{outline:0;box-shadow:", ";}&.disabled,&:disabled{opacity:", ";", ";}&:not(:disabled):not(.disabled):active,&:not(:disabled):not(.disabled).active{", ";&:focus{", ";}}"], theme.bootstrap.variables.btnFontFamily, theme.bootstrap.variables.btnFontWeight, theme.bootstrap.variables.bodyColor, theme.bootstrap.variables.btnBorderWidth, theme.bootstrap.buttonSize(theme.bootstrap.variables.btnPaddingY, theme.bootstrap.variables.btnPaddingX, theme.bootstrap.variables.btnFontSize, theme.bootstrap.variables.btnLineHeight, theme.bootstrap.variables.btnBorderRadius), theme.bootstrap.transition(theme.bootstrap.variables.btnTransition), theme.bootstrap.variables.bodyColor, theme.bootstrap.variables.btnFocusBoxShadow, theme.bootstrap.variables.btnDisabledOpacity, theme.bootstrap.boxShadow('none'), theme.bootstrap.boxShadow(theme.bootstrap.variables.btnActiveBoxShadow), theme.bootstrap.boxShadow(theme.bootstrap.variables.btnFocusBoxShadow, theme.bootstrap.variables.btnActiveBoxShadow));
};

var btnAppearance = function btnAppearance(_ref2) {
  var variant = _ref2.variant,
      _ref2$appearance = _ref2.appearance,
      appearance = _ref2$appearance === void 0 ? 'primary' : _ref2$appearance,
      theme = _ref2.theme;
  var color = theme.bootstrap.variables.themeColor[appearance];

  if (color && variant !== 'outline') {
    return css(["", ";"], theme.bootstrap.buttonVariant(color, color));
  }

  return null;
};

var btnVariant = function btnVariant(_ref3) {
  var variant = _ref3.variant,
      _ref3$appearance = _ref3.appearance,
      appearance = _ref3$appearance === void 0 ? 'primary' : _ref3$appearance,
      theme = _ref3.theme;
  var color = theme.bootstrap.variables.themeColor[appearance];

  if (color && variant === 'outline') {
    return css(["", ";"], theme.bootstrap.buttonOutlineVariant(color));
  }

  return null;
};

var btnSize = function btnSize(_ref4) {
  var buttonSize = _ref4.buttonSize,
      theme = _ref4.theme;

  if (buttonSize === 'lg') {
    return theme.bootstrap.buttonSize(theme.bootstrap.variables.btnPaddingYLg, theme.bootstrap.variables.btnPaddingXLg, theme.bootstrap.variables.btnFontSizeLg, theme.bootstrap.variables.btnLineHeightLg, theme.bootstrap.variables.btnBorderRadiusLg);
  }

  if (buttonSize === 'sm') {
    return theme.bootstrap.buttonSize(theme.bootstrap.variables.btnPaddingYSm, theme.bootstrap.variables.btnPaddingXSm, theme.bootstrap.variables.btnFontSizeSm, theme.bootstrap.variables.btnLineHeightSm, theme.bootstrap.variables.btnBorderRadiusSm);
  }

  return null;
};

var btnBlock = function btnBlock(_ref5) {
  var fluid = _ref5.fluid;

  if (fluid) {
    return css(["display:block;width:100%;"]);
  }

  return null;
};

export default css(["", ";", ";", ";", ";", ";", ";"], btnReset, btn, btnAppearance, btnVariant, btnSize, btnBlock);