function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import { withNamespace } from 'drywall';
import * as variables from './variables';
import * as buttonMixins from './mixins/buttons';
import * as boxShadowMixins from './mixins/boxShadow';
import * as transitionMixins from './mixins/transition';
import * as gradientMixins from './mixins/gradients';
import * as borderRadiusMixins from './mixins/borderRadius';
import * as rfsMixins from './mixins/rfs';
import Button from './Button';

var bootstrap = _objectSpread({
  enableShadows: false,
  enableGradients: false,
  enableTransitions: true,
  enableRounded: true,
  variables: variables
}, buttonMixins, borderRadiusMixins, boxShadowMixins, gradientMixins, transitionMixins, rfsMixins, {
  Button: Button
});

export default withNamespace({
  bootstrap: bootstrap
}, 'bootstrap');