import Color from 'color';
import { yiqTextDark, yiqTextLight, yiqContrastedThreshold } from './variables';
export var colorYiq = function colorYiq(color, dark, light) {
  if (dark === void 0) {
    dark = yiqTextDark;
  }

  if (light === void 0) {
    light = yiqTextLight;
  }

  var c = Color(color);
  var r = c.red();
  var g = c.green();
  var b = c.blue();
  var yiq = (r * 299 + g * 587 + b * 114) / 1000;

  if (yiq >= yiqContrastedThreshold) {
    return dark;
  }

  return light;
};
export var rgba = function rgba(color, fade) {
  return Color(color).fade(fade).string();
};
export var mix = function mix(color1, color2, fade) {
  return Color(color2).mix(Color(color1), fade).string();
};