"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.borderRadius = void 0;

var _styledComponents = require("styled-components");

/* eslint zillow/import/prefer-default-export: 0, no-param-reassign: 0 */
var borderRadius = function borderRadius(radius, fallbackBorderRadius) {
  if (fallbackBorderRadius === void 0) {
    fallbackBorderRadius = false;
  }

  return function (_ref) {
    var theme = _ref.theme;
    radius = radius || theme.bootstrap.variables.borderRadius;

    if (theme.bootstrap.enableRounded) {
      return (0, _styledComponents.css)(["border-radius:", ";"], radius);
    }

    if (fallbackBorderRadius) {
      return (0, _styledComponents.css)(["border-radius:", ";"], fallbackBorderRadius);
    }

    return null;
  };
};

exports.borderRadius = borderRadius;