"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mix = exports.rgba = exports.colorYiq = void 0;

var _color = _interopRequireDefault(require("color"));

var _variables = require("./variables");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var colorYiq = function colorYiq(color, dark, light) {
  if (dark === void 0) {
    dark = _variables.yiqTextDark;
  }

  if (light === void 0) {
    light = _variables.yiqTextLight;
  }

  var c = (0, _color.default)(color);
  var r = c.red();
  var g = c.green();
  var b = c.blue();
  var yiq = (r * 299 + g * 587 + b * 114) / 1000;

  if (yiq >= _variables.yiqContrastedThreshold) {
    return dark;
  }

  return light;
};

exports.colorYiq = colorYiq;

var rgba = function rgba(color, fade) {
  return (0, _color.default)(color).fade(fade).string();
};

exports.rgba = rgba;

var mix = function mix(color1, color2, fade) {
  return (0, _color.default)(color2).mix((0, _color.default)(color1), fade).string();
};

exports.mix = mix;