"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.leadFontWeight = exports.leadFontSize = exports.displayLineHeight = exports.display4Weight = exports.display3Weight = exports.display2Weight = exports.display1Weight = exports.display4Size = exports.display3Size = exports.display2Size = exports.display1Size = exports.headingsColor = exports.headingsLineHeight = exports.headingsFontWeight = exports.headingsFontStyle = exports.headingsFontFamily = exports.headingsMarginBottom = exports.h6FontSize = exports.h5FontSize = exports.h4FontSize = exports.h3FontSize = exports.h2FontSize = exports.h1FontSize = exports.lineHeightBase = exports.fontWeightBase = exports.fontWeightBolder = exports.fontWeightBold = exports.fontWeightNormal = exports.fontWeightLight = exports.fontWeightLighter = exports.fontSizeSm = exports.fontSizeLg = exports.fontSizeUnits = exports.fontSizeBase = exports.fontFamilyBase = exports.fontFamilyMonospace = exports.fontFamilySansSerif = exports.transitionCollapse = exports.transitionFade = exports.transitionBase = exports.caretSpacing = exports.caretVerticalAlign = exports.caretWidthUnits = exports.caretWidth = exports.componentActiveBg = exports.componentActiveColor = exports.boxShadowLg = exports.boxShadow = exports.boxShadowSm = exports.roundedPill = exports.borderRadiusSm = exports.borderRadiusLg = exports.borderRadius = exports.borderColor = exports.borderWidth = exports.lineHeightSm = exports.lineHeightLg = exports.emphasizedLinkHoverDarkenPercentage = exports.linkHoverDecoration = exports.linkHoverColor = exports.linkDecoration = exports.linkColor = exports.bodyColor = exports.bodyBg = exports.spacers = exports.spacerUnits = exports.spacer = exports.yiqTextLight = exports.yiqTextDark = exports.yiqContrastedThreshold = exports.themeColor = exports.dark = exports.light = exports.danger = exports.warning = exports.info = exports.success = exports.secondary = exports.primary = exports.cyan = exports.teal = exports.green = exports.yellow = exports.orange = exports.red = exports.pink = exports.purple = exports.indigo = exports.blue = exports.black = exports.gray900 = exports.gray800 = exports.gray700 = exports.gray600 = exports.gray500 = exports.gray400 = exports.gray300 = exports.gray200 = exports.gray100 = exports.white = void 0;
exports.btnTransition = exports.btnBorderRadiusSm = exports.btnBorderRadiusLg = exports.btnBorderRadius = exports.btnBlockSpacingY = exports.btnLinkDisabledColor = exports.btnLinkHoverColor = exports.btnLinkColor = exports.btnActiveBoxShadow = exports.btnDisabledOpacity = exports.btnFocusBoxShadow = exports.btnFocusWidth = exports.btnBoxShadow = exports.btnFontWeight = exports.btnBorderWidth = exports.btnLineHeightLg = exports.btnFontSizeLg = exports.btnPaddingXLg = exports.btnPaddingYLg = exports.btnLineHeightSm = exports.btnFontSizeSm = exports.btnPaddingXSm = exports.btnPaddingYSm = exports.btnLineHeight = exports.btnFontSize = exports.btnFontFamily = exports.btnPaddingX = exports.btnPaddingY = exports.inputBtnBorderWidth = exports.inputBtnLineHeightLg = exports.inputBtnFontSizeLg = exports.inputBtnPaddingXLg = exports.inputBtnPaddingYLg = exports.inputBtnLineHeightSm = exports.inputBtnFontSizeSm = exports.inputBtnPaddingXSm = exports.inputBtnPaddingYSm = exports.inputBtnFocusBoxShadow = exports.inputBtnFocusColor = exports.inputBtnFocusWidth = exports.inputBtnLineHeight = exports.inputBtnFontSize = exports.inputBtnFontFamily = exports.inputBtnPaddingX = exports.inputBtnPaddingY = exports.hrMarginY = exports.markBg = exports.listInlinePadding = exports.nestedKbdFontWeight = exports.kbdBoxShadow = exports.dtFontWeight = exports.markPadding = exports.hrOpacity = exports.hrHeight = exports.hrColor = exports.blockquoteFontSize = exports.blockquoteSmallFontSize = exports.blockquoteSmallColor = exports.textMuted = exports.smallFontSize = void 0;

var _color = _interopRequireDefault(require("color"));

var _util = require("./util");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Color system
var white = '#fff';
exports.white = white;
var gray100 = '#f8f9fa';
exports.gray100 = gray100;
var gray200 = '#e9ecef';
exports.gray200 = gray200;
var gray300 = '#dee2e6';
exports.gray300 = gray300;
var gray400 = '#ced4da';
exports.gray400 = gray400;
var gray500 = '#adb5bd';
exports.gray500 = gray500;
var gray600 = '#6c757d';
exports.gray600 = gray600;
var gray700 = '#495057';
exports.gray700 = gray700;
var gray800 = '#343a40';
exports.gray800 = gray800;
var gray900 = '#212529';
exports.gray900 = gray900;
var black = '#000';
exports.black = black;
var blue = '#007bff';
exports.blue = blue;
var indigo = '#6610f2';
exports.indigo = indigo;
var purple = '#6f42c1';
exports.purple = purple;
var pink = '#e83e8c';
exports.pink = pink;
var red = '#dc3545';
exports.red = red;
var orange = '#fd7e14';
exports.orange = orange;
var yellow = '#ffc107';
exports.yellow = yellow;
var green = '#28a745';
exports.green = green;
var teal = '#20c997';
exports.teal = teal;
var cyan = '#17a2b8';
exports.cyan = cyan;
var primary = blue;
exports.primary = primary;
var secondary = gray600;
exports.secondary = secondary;
var success = green;
exports.success = success;
var info = cyan;
exports.info = info;
var warning = yellow;
exports.warning = warning;
var danger = red;
exports.danger = danger;
var light = gray100;
exports.light = light;
var dark = gray800;
exports.dark = dark;
var themeColor = {
  primary: primary,
  secondary: secondary,
  success: success,
  info: info,
  warning: warning,
  danger: danger,
  light: light,
  dark: dark
}; // The yiq lightness value that determines when the lightness of color changes from
// "dark" to "light". Acceptable values are between 0 and 255.

exports.themeColor = themeColor;
var yiqContrastedThreshold = 150; // Customize the light and dark text colors for use in our YIQ color contrast function.

exports.yiqContrastedThreshold = yiqContrastedThreshold;
var yiqTextDark = gray900;
exports.yiqTextDark = yiqTextDark;
var yiqTextLight = white; // Spacing
//
// Control the default styling of most Bootstrap elements by modifying these
// variables. Mostly focused on spacing.
// You can add more entries to the $spacers map, should you need more variation.

exports.yiqTextLight = yiqTextLight;
var spacer = 1;
exports.spacer = spacer;
var spacerUnits = 'rem';
exports.spacerUnits = spacerUnits;
var spacers = {
  0: 0,
  1: spacer * 0.25,
  2: spacer * 0.5,
  3: spacer,
  4: spacer * 1.5,
  5: spacer * 3
}; // $negative-spacers: negativify-map($spacers) !default; // TODO
// Body
//
// Settings for the `<body>` element.

exports.spacers = spacers;
var bodyBg = white;
exports.bodyBg = bodyBg;
var bodyColor = gray900; // Links
//
// Style anchor elements.

exports.bodyColor = bodyColor;
var linkColor = themeColor.primary;
exports.linkColor = linkColor;
var linkDecoration = 'none';
exports.linkDecoration = linkDecoration;
var linkHoverColor = (0, _color.default)(linkColor).darken(0.15).string();
exports.linkHoverColor = linkHoverColor;
var linkHoverDecoration = 'underline'; // Darken percentage for links with `.text-*` class (e.g. `.text-success`)

exports.linkHoverDecoration = linkHoverDecoration;
var emphasizedLinkHoverDarkenPercentage = '15%'; // Components
//
// Define common padding and border radius sizes and more.

exports.emphasizedLinkHoverDarkenPercentage = emphasizedLinkHoverDarkenPercentage;
var lineHeightLg = 1.5;
exports.lineHeightLg = lineHeightLg;
var lineHeightSm = 1.5;
exports.lineHeightSm = lineHeightSm;
var borderWidth = '1px';
exports.borderWidth = borderWidth;
var borderColor = gray300;
exports.borderColor = borderColor;
var borderRadius = '.25rem';
exports.borderRadius = borderRadius;
var borderRadiusLg = '.3rem';
exports.borderRadiusLg = borderRadiusLg;
var borderRadiusSm = '.2rem';
exports.borderRadiusSm = borderRadiusSm;
var roundedPill = '50rem';
exports.roundedPill = roundedPill;
var boxShadowSm = "0 .125rem .25rem " + (0, _util.rgba)(black, 0.075);
exports.boxShadowSm = boxShadowSm;
var boxShadow = "0 .5rem 1rem " + (0, _util.rgba)(black, 0.15);
exports.boxShadow = boxShadow;
var boxShadowLg = "0 1rem 3rem " + (0, _util.rgba)(black, 0.175);
exports.boxShadowLg = boxShadowLg;
var componentActiveColor = white;
exports.componentActiveColor = componentActiveColor;
var componentActiveBg = themeColor.primary;
exports.componentActiveBg = componentActiveBg;
var caretWidth = 0.3;
exports.caretWidth = caretWidth;
var caretWidthUnits = 'em';
exports.caretWidthUnits = caretWidthUnits;
var caretVerticalAlign = caretWidth * 0.85;
exports.caretVerticalAlign = caretVerticalAlign;
var caretSpacing = caretWidth * 0.85;
exports.caretSpacing = caretSpacing;
var transitionBase = 'all .2s ease-in-out';
exports.transitionBase = transitionBase;
var transitionFade = 'opacity .15s linear';
exports.transitionFade = transitionFade;
var transitionCollapse = 'height .35s ease'; // Typography
//
// Font, line-height, and color for body text, headings, and more.
// stylelint-disable value-keyword-case

exports.transitionCollapse = transitionCollapse;
var fontFamilySansSerif = '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji"';
exports.fontFamilySansSerif = fontFamilySansSerif;
var fontFamilyMonospace = 'SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace';
exports.fontFamilyMonospace = fontFamilyMonospace;
var fontFamilyBase = fontFamilySansSerif; // stylelint-enable value-keyword-case
// Assumes the browser default, typically `16px`

exports.fontFamilyBase = fontFamilyBase;
var fontSizeBase = 1;
exports.fontSizeBase = fontSizeBase;
var fontSizeUnits = 'rem';
exports.fontSizeUnits = fontSizeUnits;
var fontSizeLg = "" + fontSizeBase * 1.25 + fontSizeUnits;
exports.fontSizeLg = fontSizeLg;
var fontSizeSm = "" + fontSizeBase * 0.875 + fontSizeUnits;
exports.fontSizeSm = fontSizeSm;
var fontWeightLighter = 'lighter';
exports.fontWeightLighter = fontWeightLighter;
var fontWeightLight = 300;
exports.fontWeightLight = fontWeightLight;
var fontWeightNormal = 400;
exports.fontWeightNormal = fontWeightNormal;
var fontWeightBold = 700;
exports.fontWeightBold = fontWeightBold;
var fontWeightBolder = 'bolder';
exports.fontWeightBolder = fontWeightBolder;
var fontWeightBase = fontWeightNormal;
exports.fontWeightBase = fontWeightBase;
var lineHeightBase = 1.5;
exports.lineHeightBase = lineHeightBase;
var h1FontSize = "" + fontSizeBase * 2.5 + fontSizeUnits;
exports.h1FontSize = h1FontSize;
var h2FontSize = "" + fontSizeBase * 2 + fontSizeUnits;
exports.h2FontSize = h2FontSize;
var h3FontSize = "" + fontSizeBase * 1.75 + fontSizeUnits;
exports.h3FontSize = h3FontSize;
var h4FontSize = "" + fontSizeBase * 1.5 + fontSizeUnits;
exports.h4FontSize = h4FontSize;
var h5FontSize = "" + fontSizeBase * 1.25 + fontSizeUnits;
exports.h5FontSize = h5FontSize;
var h6FontSize = "" + fontSizeBase + fontSizeUnits;
exports.h6FontSize = h6FontSize;
var headingsMarginBottom = spacer / 2;
exports.headingsMarginBottom = headingsMarginBottom;
var headingsFontFamily = null;
exports.headingsFontFamily = headingsFontFamily;
var headingsFontStyle = null;
exports.headingsFontStyle = headingsFontStyle;
var headingsFontWeight = 500;
exports.headingsFontWeight = headingsFontWeight;
var headingsLineHeight = 1.2;
exports.headingsLineHeight = headingsLineHeight;
var headingsColor = null;
exports.headingsColor = headingsColor;
var display1Size = '6rem';
exports.display1Size = display1Size;
var display2Size = '5.5rem';
exports.display2Size = display2Size;
var display3Size = '4.5rem';
exports.display3Size = display3Size;
var display4Size = '3.5rem';
exports.display4Size = display4Size;
var display1Weight = 300;
exports.display1Weight = display1Weight;
var display2Weight = 300;
exports.display2Weight = display2Weight;
var display3Weight = 300;
exports.display3Weight = display3Weight;
var display4Weight = 300;
exports.display4Weight = display4Weight;
var displayLineHeight = headingsLineHeight;
exports.displayLineHeight = displayLineHeight;
var leadFontSize = "" + fontSizeBase * 1.25 + fontSizeUnits;
exports.leadFontSize = leadFontSize;
var leadFontWeight = 300;
exports.leadFontWeight = leadFontWeight;
var smallFontSize = '80%';
exports.smallFontSize = smallFontSize;
var textMuted = gray600;
exports.textMuted = textMuted;
var blockquoteSmallColor = gray600;
exports.blockquoteSmallColor = blockquoteSmallColor;
var blockquoteSmallFontSize = smallFontSize;
exports.blockquoteSmallFontSize = blockquoteSmallFontSize;
var blockquoteFontSize = "" + fontSizeBase * 1.25 + fontSizeUnits;
exports.blockquoteFontSize = blockquoteFontSize;
var hrColor = 'inherit';
exports.hrColor = hrColor;
var hrHeight = borderWidth;
exports.hrHeight = hrHeight;
var hrOpacity = 0.25;
exports.hrOpacity = hrOpacity;
var markPadding = '.2em';
exports.markPadding = markPadding;
var dtFontWeight = fontWeightBold;
exports.dtFontWeight = dtFontWeight;
var kbdBoxShadow = "inset 0 .1rem 0 " + (0, _util.rgba)(black, 0.25);
exports.kbdBoxShadow = kbdBoxShadow;
var nestedKbdFontWeight = fontWeightBold;
exports.nestedKbdFontWeight = nestedKbdFontWeight;
var listInlinePadding = '.5rem';
exports.listInlinePadding = listInlinePadding;
var markBg = '#fcf8e3';
exports.markBg = markBg;
var hrMarginY = spacer; // Buttons + Forms
//
// Shared variables that are reassigned to `$input-` and `$btn-` specific variables.

exports.hrMarginY = hrMarginY;
var inputBtnPaddingY = '.375rem';
exports.inputBtnPaddingY = inputBtnPaddingY;
var inputBtnPaddingX = '.75rem';
exports.inputBtnPaddingX = inputBtnPaddingX;
var inputBtnFontFamily = null;
exports.inputBtnFontFamily = inputBtnFontFamily;
var inputBtnFontSize = "" + fontSizeBase + fontSizeUnits;
exports.inputBtnFontSize = inputBtnFontSize;
var inputBtnLineHeight = lineHeightBase;
exports.inputBtnLineHeight = inputBtnLineHeight;
var inputBtnFocusWidth = '.2rem';
exports.inputBtnFocusWidth = inputBtnFocusWidth;
var inputBtnFocusColor = (0, _util.rgba)(componentActiveBg, 0.25);
exports.inputBtnFocusColor = inputBtnFocusColor;
var inputBtnFocusBoxShadow = "0 0 0 " + inputBtnFocusWidth + " " + inputBtnFocusColor;
exports.inputBtnFocusBoxShadow = inputBtnFocusBoxShadow;
var inputBtnPaddingYSm = '.25rem';
exports.inputBtnPaddingYSm = inputBtnPaddingYSm;
var inputBtnPaddingXSm = '.5rem';
exports.inputBtnPaddingXSm = inputBtnPaddingXSm;
var inputBtnFontSizeSm = fontSizeSm;
exports.inputBtnFontSizeSm = inputBtnFontSizeSm;
var inputBtnLineHeightSm = lineHeightSm;
exports.inputBtnLineHeightSm = inputBtnLineHeightSm;
var inputBtnPaddingYLg = '.5rem';
exports.inputBtnPaddingYLg = inputBtnPaddingYLg;
var inputBtnPaddingXLg = '1rem';
exports.inputBtnPaddingXLg = inputBtnPaddingXLg;
var inputBtnFontSizeLg = fontSizeLg;
exports.inputBtnFontSizeLg = inputBtnFontSizeLg;
var inputBtnLineHeightLg = lineHeightLg;
exports.inputBtnLineHeightLg = inputBtnLineHeightLg;
var inputBtnBorderWidth = borderWidth; // Buttons
//
// For each of Bootstrap's buttons, define text, background, and border color.

exports.inputBtnBorderWidth = inputBtnBorderWidth;
var btnPaddingY = inputBtnPaddingY;
exports.btnPaddingY = btnPaddingY;
var btnPaddingX = inputBtnPaddingX;
exports.btnPaddingX = btnPaddingX;
var btnFontFamily = inputBtnFontFamily;
exports.btnFontFamily = btnFontFamily;
var btnFontSize = inputBtnFontSize;
exports.btnFontSize = btnFontSize;
var btnLineHeight = inputBtnLineHeight;
exports.btnLineHeight = btnLineHeight;
var btnPaddingYSm = inputBtnPaddingYSm;
exports.btnPaddingYSm = btnPaddingYSm;
var btnPaddingXSm = inputBtnPaddingXSm;
exports.btnPaddingXSm = btnPaddingXSm;
var btnFontSizeSm = inputBtnFontSizeSm;
exports.btnFontSizeSm = btnFontSizeSm;
var btnLineHeightSm = inputBtnLineHeightSm;
exports.btnLineHeightSm = btnLineHeightSm;
var btnPaddingYLg = inputBtnPaddingYLg;
exports.btnPaddingYLg = btnPaddingYLg;
var btnPaddingXLg = inputBtnPaddingXLg;
exports.btnPaddingXLg = btnPaddingXLg;
var btnFontSizeLg = inputBtnFontSizeLg;
exports.btnFontSizeLg = btnFontSizeLg;
var btnLineHeightLg = inputBtnLineHeightLg;
exports.btnLineHeightLg = btnLineHeightLg;
var btnBorderWidth = inputBtnBorderWidth;
exports.btnBorderWidth = btnBorderWidth;
var btnFontWeight = fontWeightNormal;
exports.btnFontWeight = btnFontWeight;
var btnBoxShadow = "inset 0 1px 0 " + (0, _util.rgba)(white, 0.15) + ", 0 1px 1px " + (0, _util.rgba)(black, 0.075);
exports.btnBoxShadow = btnBoxShadow;
var btnFocusWidth = inputBtnFocusWidth;
exports.btnFocusWidth = btnFocusWidth;
var btnFocusBoxShadow = inputBtnFocusBoxShadow;
exports.btnFocusBoxShadow = btnFocusBoxShadow;
var btnDisabledOpacity = 0.65;
exports.btnDisabledOpacity = btnDisabledOpacity;
var btnActiveBoxShadow = "inset 0 3px 5px " + (0, _util.rgba)(black, 0.125);
exports.btnActiveBoxShadow = btnActiveBoxShadow;
var btnLinkColor = linkColor;
exports.btnLinkColor = btnLinkColor;
var btnLinkHoverColor = linkHoverColor;
exports.btnLinkHoverColor = btnLinkHoverColor;
var btnLinkDisabledColor = gray600;
exports.btnLinkDisabledColor = btnLinkDisabledColor;
var btnBlockSpacingY = '.5rem'; // Allows for customizing button radius independently from global border radius

exports.btnBlockSpacingY = btnBlockSpacingY;
var btnBorderRadius = borderRadius;
exports.btnBorderRadius = btnBorderRadius;
var btnBorderRadiusLg = borderRadiusLg;
exports.btnBorderRadiusLg = btnBorderRadiusLg;
var btnBorderRadiusSm = borderRadiusSm;
exports.btnBorderRadiusSm = btnBorderRadiusSm;
var btnTransition = 'color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out';
exports.btnTransition = btnTransition;